#!/bin/bash

NDO_SQL=/etc/nagios3/ndo.mysql
NDO_CFG=/etc/nagios3/ndo2db.cfg
NDO_SOCKET=`grep '^socket_name=' $NDO_CFG |sed 's/socket_name=\(.*\)$/\1/g'`

# Stop tout
/etc/init.d/nagios3 stop
/etc/init.d/ndoutils stop

# Supprime l'eventuelle socket problématique
rm -d $NDO_SOCKET

# Restore la DB MySQL
mysql < $NDO_SQL

# Start tout
/etc/init.d/ndoutils start
sleep 2
/etc/init.d/nagios3 start
